From c8e7e1c3cd55bf44b6fad6afa716dec9de3bf14f Mon Sep 17 00:00:00 2001
From: Georgy Yakovlev <gyakovlev@gentoo.org>
Date: Fri, 25 Sep 2020 15:34:19 -0700
Subject: [PATCH] setup.py: respect CC variable in latomic test

---
 setup.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/setup.py b/setup.py
index 20a6d76..d1cd707 100644
--- a/setup.py
+++ b/setup.py
@@ -164,9 +164,10 @@ ENABLE_DOCUMENTATION_BUILD = os.environ.get(
 
 def check_linker_need_libatomic():
     """Test if linker on system needs libatomic."""
+    cc = os.environ.get('CC', 'cc')
     code_test = (b'#include <atomic>\n' +
                  b'int main() { return std::atomic<int64_t>{}; }')
-    cc_test = subprocess.Popen(['cc', '-x', 'c++', '-std=c++11', '-'],
+    cc_test = subprocess.Popen([cc, '-x', 'c++', '-std=c++11', '-'],
                                stdin=PIPE,
                                stdout=PIPE,
                                stderr=PIPE)
-- 
2.28.0

